Package org.apache.commons.lang3.function

## Interface FailableDoubleUnaryOperator<E extends java.lang.Throwable>

Type Parameters:
  `E` - Thrown exception.

    public interface FailableDoubleUnaryOperator<E extends java.lang.Throwable>

A functional interface like `DoubleUnaryOperator` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableDoubleUnaryOperator` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`default FailableDoubleUnaryOperator<E>` `andThen​(FailableDoubleUnaryOperator<E> after)` Returns a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.andThen(DoubleUnaryOperator)`.
`double` `applyAsDouble​(double operand)` Applies this operator to the given operand.
`default FailableDoubleUnaryOperator<E>` `compose​(FailableDoubleUnaryOperator<E> before)` Returns a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.compose(DoubleUnaryOperator)`.
`static <E extends java.lang.Throwable> FailableDoubleUnaryOperator<E>` `identity()` Returns a unary operator that always returns its input argument.
`static <E extends java.lang.Throwable> FailableDoubleUnaryOperator<E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableDoubleUnaryOperator NOP

NOP singleton

### Method Detail

#### identity

    static <E extends java.lang.Throwable> FailableDoubleUnaryOperator<E> identity()

Returns a unary operator that always returns its input argument.

Type Parameters:
  `E` - Thrown exception.
Returns:
  a unary operator that always returns its input argument

#### nop

    static <E extends java.lang.Throwable> FailableDoubleUnaryOperator<E> nop()

Returns The NOP singleton.

Type Parameters:
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### andThen

    default FailableDoubleUnaryOperator<E> andThen​(FailableDoubleUnaryOperator<E> after)

Returns a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.andThen(DoubleUnaryOperator)`.

Parameters:
  `after` - the operator to apply after this one.
Returns:
  a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.andThen(DoubleUnaryOperator)`.
Throws:
  `java.lang.NullPointerException` - if after is null.
See Also:
  `compose(FailableDoubleUnaryOperator)`

#### applyAsDouble

    double applyAsDouble​(double operand)
                  throws E extends java.lang.Throwable

Applies this operator to the given operand.

Parameters:
  `operand` - the operand
Returns:
  the operator result
Throws:
  `E` - Thrown when a consumer fails.
  `E extends java.lang.Throwable`

#### compose

    default FailableDoubleUnaryOperator<E> compose​(FailableDoubleUnaryOperator<E> before)

Returns a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.compose(DoubleUnaryOperator)`.

Parameters:
  `before` - the operator to apply before this one.
Returns:
  a composed `FailableDoubleUnaryOperator` like `DoubleUnaryOperator.compose(DoubleUnaryOperator)`.
Throws:
  `java.lang.NullPointerException` - if before is null.
See Also:
  `andThen(FailableDoubleUnaryOperator)`